#!/bin/bash

KEY_FP=1A60DC44245D06FEF90623D6EEEEE2EEEE2EEEEE
KEY_FS=/usr/share/libalpm/scripts/archlinux-keyring-fix.gpg

GPG_PACMAN=(
	sudo gpg
	--homedir /etc/pacman.d/gnupg/
	--no-permission-warning
	--command-fd 0
	--batch
)

export LANG=C

${GPG_PACMAN[@]} --import $KEY_FS

printf 'y\ny\n' |
${GPG_PACMAN[@]} --lsign-key $KEY_FP

printf 'enable\ntrust\n5\ny\nquit\n' |
${GPG_PACMAN[@]} --edit-key $KEY_FP
